; Configuration file for Duet WiFi (firmware version 1.17 to 1.19)
; executed by the firmware on start-up
;
; generated by RepRapFirmware Configuration Tool on Mon Jun 25 2018 13:14:38 GMT+0200 (czas środkowoeuropejski letni)

; General preferences
G90                              ; Send absolute coordinates...
M83                              ; ...but relative extruder moves
M665 L271.500 R134.4 H296.189 B105.0 X0.000 Y0.000 Z0.000
M666 X0.000 Y0.000 Z0.000 A0.00 B0.00

; Network
M550 PZENIT                      ; Set machine name
M552 S1                          ; Enable network
M587 S"ssid" P"hasło"         ; Configure access point. You can delete this line once connected
M586 P0 S1                       ; Enable HTTP
M586 P1 S0                       ; Disable FTP
M586 P2 S0                       ; Disable Telnet

; Drives
M569 P0 S0                       ; Drive 0 goes forwards
M569 P1 S0                       ; Drive 1 goes forwards
M569 P2 S0                       ; Drive 2 goes forwards
M569 P3 S1                       ; Drive 3 goes forwards

M350 X16 Y16 Z16 E16  I1 ;S2          ; Configure microstepping without interpolation
M92 X160 Y160 Z160 E906 ;E192 ;E906         ; Set steps per mm
M566 X1500 Y1500 Z1500 E1500     ; Set maximum instantaneous speed changes (mm/min)
M203 X15000 Y15000 Z15000 E9000  ; Set maximum speeds (mm/min)
M201 X5000 Y5000 Z5000 E5000     ; Set accelerations (mm/s^2)
M906 X1700 Y1700 Z1700 E1700 I40 ; Set motor currents (mA) and motor idle factor in per cent
M84 S30                          ; Set idle timeout

; Axis Limits
M208 Z-5 S1                       ; Set minimum Z



; Endstops
M574 X2 Y2 Z2 S1                 ; Set active high endstops

; Z-Probe
;M558 P4 H5 F120 T6000                              ; Set Z probe type to switch and the dive height + speeds
;G31 P1000 X0 Y0 Z0                              ; Set Z probe trigger value, offset and trigger height
;M557 R105 S20                                      ; Define mesh grid


M558 P5 H5 F240 T6000                     ; Set Z probe type to switch and the dive height + speeds
G31 P600 X0 Y0 Z16                   ; głowica na papier co wyjdzie dodajemy lub odejm z pomiaru, Z>zmniejszam odstęp dysza/stół 
M557 R110 S20                 ; Define mesh grid


; Heaters
M307 H0 B0 S1.00                 ; Disable bang-bang mode for the bed heater and set PWM limit
;M305 P0 T100000 B4066 C0 R4700   ; Set thermistor + ADC parameters for heater 0
;M143 H0 S110                     ; Set temperature limit for heater 0 to 110C
;M305 P1 T100000 B4193 C0 R4700   ; Set thermistor + ADC parameters for heater 1
;M143 H1 S280                     ; Set temperature limit for heater 1 to 280C


M305 P0 T100000 B3950 C0 R4700
M143 H0 S120                             ; Set temperature limit for heater 0 to 120C
M305 P1 T99000 B5247 C1.604698e-7 R4700
M143 H1 S280                             ; Set temperature limit for heater 1 to 280C

; Fans
M106 P0 S0 I0 F500 H-1        ; Set fan 0 value, PWM signal inversion and frequency. Thermostatic control is turned off
M106 P1 S1 I0 F500 H1 T45        ; Set fan 1 value, PWM signal inversion and frequency. Thermostatic control is turned on
;M106 P2 S0.3 I0 F10 H-1        ; Set fan 2 value, PWM signal inversion and frequency. Thermostatic control is turned on
;M106 P2 T35 S0.3 I0 F10 H100:101:102:103        ; Set fan 2 value, PWM signal inversion and frequency. Thermostatic control is turned on
M106 P2 T40:50 F100 I0 H100:101
; Tools

M563 P0 D0 H1                    ; Define tool 0
G10 P0 X0 Y0 Z0                  ; Set tool 0 axis offsets
G10 P0 R0 S0                     ; Set initial tool 0 active and standby temperatures to 0C

; Custom settings are not configured
;M572 D0 S0.075
;M579 X1.006  
M501
T0